for f in *.pptx; do
  name="${f%.*}"                      # strip extension
  ext="${f##*.}"                      # get extension
  newname=$(echo "$name" \
    | tr '[:upper:]' '[:lower:]' \
    | tr ' ' '-' \
    | sed 's/&/and/g' \
    | tr -d '.,()'                    # remove dots, commas, and parentheses
    )                     
  mv -- "$f" "$newname.$ext"
done